MySQL++ SSQLS v2 Translator: ParseV2::FileException Class Reference

MySQL++ SSQLS v2 Translator 3.2.5

Public Member Functions | List of all members
ParseV2::FileException Class Reference

Exception object thrown to indicate a file I/O error. More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::FileException:
[legend]
Collaboration diagram for ParseV2::FileException:
[legend]

## Public Member Functions
| FileException (const std::string &what)
| Constructor. More...

## Detailed Description

Exception object thrown to indicate a file I/O error.

Exception types

## Constructor & Destructor Documentation

## ◆ FileException()

ParseV2::FileException::FileException | ( | const std::string & | what | ) |
| inline

Constructor.

Parameters

  what | description of what went wrong reading the SSQLS v2 file

The documentation for this class was generated from the following file:

- parsev2.h